﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _RadGridDefault : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GridData1;
    }

    public DataTable GridData1
    {
        get
        {
            DataTable data;

            if (Session["GridData1"] == null)
            {
                data = GenerateData1();

                Session["GridData1"] = data;
            }

             data = (DataTable)Session["GridData1"];

            return data;
        }
        
        set
        {
            Session["GridData1"] = value;
        }
    }

    public DataTable GridData2
    {
        get
        {
            DataTable data;

            if (Session["GridData2"] == null)
            {
                data = GenerateData2();

                Session["GridData2"] = data;
            }

            data = (DataTable)Session["GridData2"];

            return data;
        }

        set
        {
            Session["GridData2"] = value;
        }
    }

    public DataTable GenerateData1()
    {
        DataTable data = new DataTable();

        data.Columns.Add("ID", typeof(int));
        data.Columns.Add("Name");
        data.Columns.Add("Description");

        for (int i = 1; i < 31; i++)
        {
            data.Rows.Add(i, "Name" + (i % 5).ToString(), "Description" + i.ToString());
        }

        return data;
    }

    public DataTable GenerateData2()
    {
        DataTable data = new DataTable();

        data.Columns.Add("ID", typeof(int));
        data.Columns.Add("Name");
        data.Columns.Add("Description");

        for (int i = 1; i < 31; i++)
        {
            data.Rows.Add(i, "Name" + (i % 5).ToString(), "Description" + i.ToString());
        }

        return data;
    }

    protected void RadGrid1_UpdateCommand(object sender, GridCommandEventArgs e)
    {
        Hashtable newValues = (e.CommandArgument as GridBatchEditingEventArgument).NewValues;

        DataTable newData = GridData1;

        DataRow[] row = newData.Select("ID = " + newValues["ID"]);

        row[0]["ID"] = newValues["ID"];
        row[0]["Name"] = newValues["Name"];
        row[0]["Description"] = newValues["Description"];

        newData.AcceptChanges();
    }

    protected void RadGrid1_InsertCommand(object sender, GridCommandEventArgs e)
    {
        Hashtable newValues = (e.CommandArgument as GridBatchEditingEventArgument).NewValues;

        DataTable newData = GridData1;

        DataRow row = newData.NewRow();

        row["ID"] = newValues["ID"];
        row["Name"] = newValues["Name"];
        row["Description"] = newValues["Description"];

        newData.Rows.Add(row);
    }
    protected void RadGrid2_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid2.DataSource = GridData2;

    }
    protected void RadGrid2_UpdateCommand(object sender, GridCommandEventArgs e)
    {
        Hashtable newValues = (e.CommandArgument as GridBatchEditingEventArgument).NewValues;

        DataTable newData = GridData2;

        DataRow[] row = newData.Select("ID = " + newValues["ID"]);

        row[0]["ID"] = newValues["ID"];
        row[0]["Name"] = newValues["Name"];
        row[0]["Description"] = newValues["Description"];

        newData.AcceptChanges();
    }
    protected void RadGrid2_InsertCommand(object sender, GridCommandEventArgs e)
    {
        Hashtable newValues = (e.CommandArgument as GridBatchEditingEventArgument).NewValues;

        DataTable newData = GridData2;

        DataRow row = newData.NewRow();

        row["ID"] = newValues["ID"];
        row["Name"] = newValues["Name"];
        row["Description"] = newValues["Description"];

        newData.Rows.Add(row);
    }
}